#ifndef QTUSBTWI_H
#define QTUSBTWI_H

#include <QObject>
#include "PortListener.h"

#define MAX_BUF_LEN 21
//#define PCF8591_ADR 0x4B << 1
#define K_mS 1

class qtUsbTwi : public QObject
{
    Q_OBJECT
public:
    explicit qtUsbTwi(PortListener *l,QObject *parent = 0);
    
    void vWait1us();
    void vSCL(bool);
    void vSDA(bool);
    bool bCheckSCL();
    bool bCheckSDAo();
    bool bCheckSDAi();
    void vTwiStart();
    void vTwiStop();
    void vTwiTxBit(bool);
    bool bTwiRxBit();
    bool bTwiRxAck();
    void vTwiTxAck(bool);
    bool bTwiTxByte(quint8);
    quint8 byTwiRxByte(int);
    bool bTwiTxString(char*);
    void vTwiRxString(char*);
    bool bWrite8591(quint8,quint8,quint8);
    quint8 bRead8591(quint8,quint8*,quint8);
    bool bWriteLm75B(quint8,quint8,quint8);
    bool bWriteLm75B(quint8,quint8);
    bool bReadLm75B(quint8,quint16*);
    bool bWriteTwi(quint8 device,quint8 data);
    bool bReadTwi(quint8 device,quint8* data);

    PortListener *listener;
    QList<QString> listDetectedTwiDevices();
    QList<QString> listLastDetectedTwiDevices;

signals:
    
public slots:
    
};

#endif // QTUSBTWI_H
