#ifndef CONNECTTCP_H
#define CONNECTTCP_H

#include <QObject>
#include <QTcpSocket>

class connectTcp : public QObject
{
    Q_OBJECT
public:
    explicit connectTcp(QObject *parent = 0);
    ~connectTcp();
    bool bConnectTcp();
    void vDisconnectTcp();
    void sendScratchCommand(QByteArray);
    QTcpSocket * _pSocket;
    bool bConnected;
    void vSendTcpSwStatus(QString qszAddr,int nSw,bool bStatus);
    void vManageReceivedData(QByteArray);

signals:
    void vReceivedTcp(QByteArray);
    
public slots:
    void readTcpData();

};

#endif // CONNECTTCP_H
